<?php
App::uses('AppController', 'Controller');
/**
 * Accounts Controller
 *
 */
class AccountsController extends AppController {

/**
 * Scaffold
 *
 * @var mixed
 */
	public $scaffold;

	public $components = array('RequestHandler');
	public $uses = array('User', 'Account', 'Client', 'Shop');

	public function index() {

		$user_id = $this->request->query['user_id'];
		$token = $this->request->query['token'];

		$user = $this->User->find('first', array('conditions' => array('id' => $user_id, 'token' => $token)));

		if(!empty($user)) {

			if(!isset($this->request->query['shop_view']) or !$this->request->query['shop_view']) {

				$client = $this->Client->findByUserId($user_id);
				$account = $this->Account->findById($client['Client']['account_id']);
			} else {
				$shop = $this->Shop->findByUserId($user_id);
				$account = $this->Account->findById($shop['Shop']['account_id']);
			}

			if (!empty($account)) {
				$this->set(array(
					'result' => Constants::RESULT_OK,
					'free_amount' => $account['Account']['balance'],
					'locked_amount' => $account['Account']['locked_balance'],
					'_serialize' => array('result', 'free_amount', 'locked_amount')
				));
			} else {
				$this->set(array(
					'result' => Constants::ERROR_GENERIC,
					'message' => 'Can\'t get account details.',
					'_serialize' => array('result', 'message')
				));
			}
		} else {
			$this->set(array(
				'result' => Constants::ERROR_GENERIC,
				'message' => 'User doesn\'t exists',
				'_serialize' => array('result', 'message')
			));
		}
	}
}
