<?php
App::uses('AppController', 'Controller');
/**
 * Contracts Controller
 *
 */
class ContractsController extends AppController {

/**
 * Scaffold
 *
 * @var mixed
 */
	public $scaffold;

	public $components = array('RequestHandler');
	public $uses = array('Contract', 'User');

	public function index()
	{
		$user_id = $this->request->query['user_id'];
		$token = $this->request->query['token'];

		$user = $this->User->find('first', array('conditions' => array('id' => $user_id, 'token' => $token)));

		if (empty($user)) {
			$this->set(array(
				'result' => Constants::ERROR_LOGIN,
				'message' => 'Error authenticating user.',
				'_serialize' => array('result', 'message')
			));
			return;
		}

		$this->Contract->recursive = -1;
		$this->Contract->Behaviors->load('Containable');
		$contracts = $this->Contract->find('all', array(
			'conditions' => array(
				'Contract.shop_id' => $user['Shop'][0]['id'],
				'Contract.active' => true,
			),
			'contain' => array('Basket.Client.User.username')
		));

		$this->set(array(
			'result' => Constants::RESULT_OK,
			'contracts' => $contracts,
			'_serialize' => array('result', 'contracts')
		));
	}

}
