<?php
App::uses('AppController', 'Controller');
App::import('Controller', 'Withdraws');
/**
 * Extracts Controller
 *
 */
class ExtractsController extends AppController {

	/**
	 * Scaffold
	 *
	 * @var mixed
	 */
	public $scaffold;

	public $components = array('RequestHandler');
	public $uses = array('Extract', 'User', 'Contract', 'Account');

	public function index()
	{
		$user_id = $this->request->query['user_id'];
		$token = $this->request->query['token'];

		$user = $this->User->find('first', array('conditions' => array('id' => $user_id, 'token' => $token)));

		if (empty($user)) {
			$this->set(array(
				'result' => Constants::ERROR_LOGIN,
				'message' => 'Error authenticating user.',
				'_serialize' => array('result', 'message')
			));
			return;
		}
	}

	public function add($params = null) {

		if(isset($params) && !empty($params)) {
			$data = $params;
		} else {
			$data = $this->request->data;
		}

		$user_id = $data['user_id'];
		$token = $data['token'];

		$user = $this->User->find('first', array('conditions' => array('id' => $user_id, 'token' => $token)));

		if (empty($user)) {
			$this->set(array(
				'result' => Constants::ERROR_LOGIN,
				'message' => 'Error authenticating user.',
				'_serialize' => array('result', 'message')
			));
			return;
		}

		$amount = $data['amount'];
		$contract_id = $data['contract_id'];

		$contract = $this->Contract->findById($contract_id);

		if(!empty($contract['Extract'])) {
			$this->set(array(
				'result' => Constants::ERROR_GENERIC,
				'message' => __('Ho sentim, només pots demanar un anticip per cada cistella.'),
				'_serialize' => array('result', 'message')
			));
			return;
		}

		$percentage = $contract['Contract']['percentage'];

		if($contract['Contract']['remaining_amount'] < $amount+($percentage/100)*$amount) {
			$this->set(array(
				'result' => Constants::ERROR_AMOUNT,
				'message' => __('L\'import a retirar no pot ser més gran que el que queda per rebre de la cistella (%s eurakos)', ((100/(100+$percentage))*$contract['Contract']['remaining_amount'])),
				'_serialize' => array('result', 'message')
			));
			return;
		}

		$extract = $this->Extract->create();
		$extract['contract_id'] = $contract_id;
		$extract['amount'] = (1-Constants::EXTRACT_COMISSION)*$amount;
		$extract['remaining_to_pay'] = $amount;
		$extract['active'] = true;

		if($this->Extract->save($extract)) {

			$this->Account->recursive = -1;
			$account = $this->Account->find('first', array(
				'conditions' => array(
					'id' => $user['Shop'][0]['account_id']
				)
			));

			$account['Account']['locked_balance'] -= $amount;
			$account['Account']['balance'] += $amount;

			if($this->Account->save($account)) {

				// Retirem els diners automàticament
				$withdraw_data = array();
				$withdraw_data['user_id'] = $data['user_id'];
				$withdraw_data['token'] = $data['token'];
				$withdraw_data['amount'] = $amount;
				$withdraw_data['is_shop'] = true;
				$withdraw_data['bank_account'] = '';

				$Withdraws = new WithdrawsController;
				$Withdraws->add($withdraw_data);

				$this->set(array(
					'result' => Constants::RESULT_OK,
					'_serialize' => array('result')
				));
			} else {
				$extract['active'] = false;
				$this->Extract->save($extract);
			}
		}
	}
}
